<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.ex.ConfigurationException (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.ex.ConfigurationException (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/ex/class-use/ConfigurationException.html" target="_top">Frames</a></li>
<li><a href="ConfigurationException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.ex.ConfigurationException" class="title">Uses of Class<br>org.apache.commons.configuration2.ex.ConfigurationException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.fluent">org.apache.commons.configuration2.builder.fluent</a></td>
<td class="colLast">
<div class="block">
 This package defines a fluent API for setting up fully configured configuration
 builders.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.io">org.apache.commons.configuration2.io</a></td>
<td class="colLast">
<div class="block">
 A package with classes related to I/O operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.plist">org.apache.commons.configuration2.plist</a></td>
<td class="colLast">
<div class="block">
 Configuration classes supporting NeXT / OpenStep /GNUStep style configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a> in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/transform/Transformer.html?is-external=true" title="class or interface in javax.xml.transform">Transformer</a></code></td>
<td class="colLast"><span class="typeNameLabel">XMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html#createTransformer--">createTransformer</a></span>()</code>
<div class="block">Creates and initializes the transformer used for save operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">YAMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#dump-java.io.Writer-org.yaml.snakeyaml.DumperOptions-">dump</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out,
    org.yaml.snakeyaml.DumperOptions&nbsp;options)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html#load-org.w3c.dom.Element-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>&nbsp;element)</code>
<div class="block">Parses a DOM element containing the properties.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfigurationLayout.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html#load-org.apache.commons.configuration2.PropertiesConfiguration-java.io.Reader-">load</a></span>(<a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&nbsp;config,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Reads a properties file and stores its internal structure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">YAMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#read-java.io.InputStream-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Loads the configuration from the given input stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html#read-java.io.InputStream-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Loads the configuration from the given input stream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">JSONConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/JSONConfiguration.html#read-java.io.InputStream-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Loads the configuration from the given input stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">YAMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#read-java.io.InputStream-org.yaml.snakeyaml.LoaderOptions-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
    org.yaml.snakeyaml.LoaderOptions&nbsp;options)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">YAMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Loads the configuration from the given reader.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Reads the content of this object from the given reader.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">JSONConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/JSONConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">INIConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/INIConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Load the configuration from the given reader.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">YAMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#read-java.io.Reader-org.yaml.snakeyaml.LoaderOptions-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in,
    org.yaml.snakeyaml.LoaderOptions&nbsp;options)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfigurationLayout.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html#save-org.apache.commons.configuration2.PropertiesConfiguration-java.io.Writer-">save</a></span>(<a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>&nbsp;config,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Writes the properties file to the given writer, preserving as much of its
 structure as possible.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">SystemConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/SystemConfiguration.html#setSystemProperties-java.lang.String-">setSystemProperties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Sets system properties from a file specified by its file name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">SystemConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/SystemConfiguration.html#setSystemProperties-java.lang.String-java.lang.String-">setSystemProperties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Sets system properties from a file specified using its base path and
 file name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html#validate--">validate</a></span>()</code>
<div class="block">Validate the document against the Schema.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">YAMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/YAMLConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)</code>
<div class="block">Saves the configuration to the specified writer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Writes the content of this object to the given writer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">JSONConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/JSONConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">INIConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/INIConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;writer)</code>
<div class="block">Save the configuration to the specified writer.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html#XMLPropertiesConfiguration-org.w3c.dom.Element-">XMLPropertiesConfiguration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/org/w3c/dom/Element.html?is-external=true" title="class or interface in org.w3c.dom">Element</a>&nbsp;element)</code>
<div class="block">Creates and loads the xml properties from the specified DOM node.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingFileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html#createReloadingDetector-org.apache.commons.configuration2.io.FileHandler-org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl-">createReloadingDetector</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;fbparams)</code>
<div class="block">Creates a <code>ReloadingDetector</code> which monitors the passed in
 <code>FileHandler</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingDetectorFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html#createReloadingDetector-org.apache.commons.configuration2.io.FileHandler-org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl-">createReloadingDetector</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;params)</code>
<div class="block">Creates a new <code>ReloadingDetector</code> object based on the passed in
 parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></td>
<td class="colLast"><span class="typeNameLabel">DefaultReloadingDetectorFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/DefaultReloadingDetectorFactory.html#createReloadingDetector-org.apache.commons.configuration2.io.FileHandler-org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl-">createReloadingDetector</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;params)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="type parameter in BasicConfigurationBuilder">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResult--">createResult</a></span>()</code>
<div class="block">Creates a new, initialized result object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new <code>BeanDeclaration</code> which is used for creating new
 result objects dynamically.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="type parameter in BasicConfigurationBuilder">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#createResultInstance--">createResultInstance</a></span>()</code>
<div class="block">Creates the new, uninitialized result object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="type parameter in ConfigurationBuilder">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the configuration provided by this builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="type parameter in BasicConfigurationBuilder">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the configuration provided by this builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#getResultDeclaration--">getResultDeclaration</a></span>()</code>
<div class="block">Returns the <code>BeanDeclaration</code> that is used to create and initialize
 result objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingFileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/ReloadingFileBasedConfigurationBuilder.html#initFileHandler-org.apache.commons.configuration2.io.FileHandler-">initFileHandler</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Initializes the new current <code>FileHandler</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">FileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#initFileHandler-org.apache.commons.configuration2.io.FileHandler-">initFileHandler</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Initializes the new current <code>FileHandler</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">FileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#initResultInstance-T-">initResultInstance</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="type parameter in FileBasedConfigurationBuilder">T</a>&nbsp;obj)</code>
<div class="block">Initializes a newly created result object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#initResultInstance-T-">initResultInstance</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="type parameter in BasicConfigurationBuilder">T</a>&nbsp;obj)</code>
<div class="block">Initializes a newly created result object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileBasedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html#save--">save</a></span>()</code>
<div class="block">Convenience method which saves the associated configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#configureEntityResolver-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.builder.XMLBuilderParametersImpl-">configureEntityResolver</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a>&nbsp;xmlParams)</code>
<div class="block">Creates and initializes a default <code>EntityResolver</code> if the
 definition configuration contains a corresponding declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="type parameter in MultiFileConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#createInitializedManagedBuilder-java.lang.String-java.util.Map-">createInitializedManagedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                               <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a fully initialized builder for a managed configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingMultiFileConfigurationBuilder.html" title="type parameter in ReloadingMultiFileConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingMultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingMultiFileConfigurationBuilder.html#createManagedBuilder-java.lang.String-java.util.Map-">createManagedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a builder for a managed configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="type parameter in MultiFileConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#createManagedBuilder-java.lang.String-java.util.Map-">createManagedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a builder for a managed configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a></code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingCombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html#createReloadingController--">createReloadingController</a></span>()</code>
<div class="block">Creates the <code>ReloadingController</code> for this builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#createResultDeclaration-java.util.Map-">createResultDeclaration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Creates a new <code>BeanDeclaration</code> which is used for creating new
 result objects dynamically.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineBuilderClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">determineBuilderClass</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl)</code>
<div class="block">Determines the name of the class to be used for a new builder instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileExtensionConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Determines the name of the configuration class produced by the builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl,
                           <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>&gt;&nbsp;params)</code>
<div class="block">Determines the name of the configuration class produced by the builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="type parameter in MultiFileConfigurationBuilder">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Returns the configuration provided by this builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl)</code>
<div class="block">Returns the builder for the configuration source managed by this
 provider.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl)</code>
<div class="block">Returns the builder for the configuration source managed by this
 provider.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseConfigurationBuilderProvider.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl)</code>
<div class="block">Returns the builder for the configuration source managed by this
 provider.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getDefinitionBuilder--">getDefinitionBuilder</a></span>()</code>
<div class="block">Returns the <code>ConfigurationBuilder</code> which creates the definition
 configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getDefinitionConfiguration--">getDefinitionConfiguration</a></span>()</code>
<div class="block">Returns the configuration containing the definition of the combined
 configuration to be created.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/FileBasedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder">FileBasedConfigurationBuilder</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="type parameter in MultiFileConfigurationBuilder">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#getManagedBuilder--">getManagedBuilder</a></span>()</code>
<div class="block">Returns the managed <code>FileBasedConfigurationBuilder</code> for the current
 file name pattern.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#getNamedBuilder-java.lang.String-">getNamedBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">
 Returns the configuration builder with the given name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initFileSystem-org.apache.commons.configuration2.HierarchicalConfiguration-">initFileSystem</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates and initializes a default <code>FileSystem</code> if the definition
 configuration contains a corresponding declaration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingCombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html#initResultInstance-org.apache.commons.configuration2.CombinedConfiguration-">initResultInstance</a></span>(<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;result)</code>
<div class="block">Initializes a newly created result object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initResultInstance-org.apache.commons.configuration2.CombinedConfiguration-">initResultInstance</a></span>(<a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>&nbsp;result)</code>
<div class="block">Initializes a newly created result object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#initSystemProperties-org.apache.commons.configuration2.HierarchicalConfiguration-java.lang.String-">initSystemProperties</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath)</code>
<div class="block">Handles a file with system properties that may be defined in the
 definition configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#registerConfiguredLookups-org.apache.commons.configuration2.HierarchicalConfiguration-org.apache.commons.configuration2.Configuration-">registerConfiguredLookups</a></span>(<a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;defConfig,
                         <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;resultConfig)</code>
<div class="block">Processes custom <a href="../../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol"><code>Lookup</code></a> objects that might be declared in the
 definition configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CombinedConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html#setupDefinitionBuilder-java.util.Map-">setupDefinitionBuilder</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;params)</code>
<div class="block">Obtains the <code>ConfigurationBuilder</code> object which provides access to
 the configuration containing the definition of the combined configuration
 to create.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.fluent">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#combined-java.io.File-">combined</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a <code>CombinedConfiguration</code> instance from the content of the
 given file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#combined-java.lang.String-">combined</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a <code>CombinedConfiguration</code> instance from the content of the
 file identified by the given path.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#combined-java.net.URL-">combined</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a <code>CombinedConfiguration</code> instance from the content of the
 given URL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;<br>T</code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#fileBased-java.lang.Class-java.io.File-">fileBased</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;configClass,
         <a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates an instance of the specified file-based configuration class from
 the content of the given file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;<br>T</code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#fileBased-java.lang.Class-java.lang.String-">fileBased</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;configClass,
         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates an instance of the specified file-based configuration class from
 the content of the file identified by the given path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>&gt;<br>T</code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#fileBased-java.lang.Class-java.net.URL-">fileBased</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;configClass,
         <a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates an instance of the specified file-based configuration class from
 the content of the given URL.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/INIConfiguration.html" title="class in org.apache.commons.configuration2">INIConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#ini-java.io.File-">ini</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a <code>INIConfiguration</code> instance from the content of the given
 file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/INIConfiguration.html" title="class in org.apache.commons.configuration2">INIConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#ini-java.lang.String-">ini</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a <code>INIConfiguration</code> instance from the content of the file
 identified by the given path.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/INIConfiguration.html" title="class in org.apache.commons.configuration2">INIConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#ini-java.net.URL-">ini</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a <code>INIConfiguration</code> instance from the content of the given
 URL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#properties-java.io.File-">properties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a <code>PropertiesConfiguration</code> instance from the content of
 the given file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#properties-java.lang.String-">properties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a <code>PropertiesConfiguration</code> instance from the content of
 the file identified by the given path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#properties-java.net.URL-">properties</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a <code>PropertiesConfiguration</code> instance from the content of
 the given URL.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html" title="class in org.apache.commons.configuration2">XMLConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#xml-java.io.File-">xml</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Creates a <code>XMLConfiguration</code> instance from the content of the given
 file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html" title="class in org.apache.commons.configuration2">XMLConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#xml-java.lang.String-">xml</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Creates a <code>XMLConfiguration</code> instance from the content of the file
 identified by the given path.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html" title="class in org.apache.commons.configuration2">XMLConfiguration</a></code></td>
<td class="colLast"><span class="typeNameLabel">Configurations.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html#xml-java.net.URL-">xml</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Creates a <code>XMLConfiguration</code> instance from the content of the given
 URL.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a> in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">VFSFileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/VFSFileSystem.html#getInputStream-java.net.URL-">getInputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html#getInputStream-java.net.URL-">getInputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">DefaultFileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/DefaultFileSystem.html#getInputStream-java.net.URL-">getInputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html#getOutputStream-java.io.File-">getOutputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">DefaultFileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/DefaultFileSystem.html#getOutputStream-java.io.File-">getOutputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">VFSFileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/VFSFileSystem.html#getOutputStream-java.net.URL-">getOutputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html#getOutputStream-java.net.URL-">getOutputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><span class="typeNameLabel">DefaultFileSystem.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/DefaultFileSystem.html#getOutputStream-java.net.URL-">getOutputStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load--">load</a></span>()</code>
<div class="block">Loads the associated file from the underlying location.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.File-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Loads the associated file from the specified <code>File</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.InputStream-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Loads the associated file from the specified stream, using the encoding
 returned by <a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--"><code>FileHandler.getEncoding()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.InputStream-java.lang.String-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Loads the associated file from the specified stream, using the specified
 encoding.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.Reader-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Loads the associated file from the specified reader.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.lang.String-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Loads the associated file from the given file name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.net.URL-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Loads the associated file from the specified URL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locateOrThrow-org.apache.commons.configuration2.io.FileLocator-">locateOrThrow</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the file referenced by the passed in <code>FileLocator</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">InputStreamSupport.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/InputStreamSupport.html#read-java.io.InputStream-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Reads the content of this object from the specified <code>InputStream</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileBased.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileBased.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Reads the content of this object from the given reader.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save--">save</a></span>()</code>
<div class="block">Saves the associated file to the current location set for this object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.File-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Saves the associated file to the specified <code>File</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.OutputStream-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;out)</code>
<div class="block">Saves the associated file to the specified stream using the encoding
 returned by <a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--"><code>FileHandler.getEncoding()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.OutputStream-java.lang.String-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;out,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Saves the associated file to the specified stream using the specified
 encoding.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.lang.String-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Saves the associated file to the specified file name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.net.URL-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Saves the associated file to the specified URL.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.Writer-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Saves the associated file to the given <code>Writer</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileBased.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileBased.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Writes the content of this object to the given writer.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.plist">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a> in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> that throw <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertyListConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertyListConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertyListConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertyListConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/ex/class-use/ConfigurationException.html" target="_top">Frames</a></li>
<li><a href="ConfigurationException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
